WWW::Topica::Mail(3pm)

NAME
WWW::Topica::Mail - parse a single Topica mailing list mail

SYNOPSIS
    my $index = WWW::Topic::Index->new($index_html);

    foreach my $mess_id ($index->message_ids) {
        # the mail has some information and also provides a link to the reply ...
        my $mail  = WWW::Topica::Mail->new($topica->fetch_mail($mess_id), $mess_id);
        # which has other information (like the un-htmled mail and the email address) ...
        my $reply = WWW::Topica::Reply->new($topica->fetch_reply($mail->id, $mail->eto), $mail->id, $mail->eto);
    }

    print "Next offset is ".$index->next."\n";
    print "Previous offset is ".$index->prev."\n";

DESCRIPTION
Used to parse a single message page from Topica.com's mailing list indexes.

Message pages have the subject and the date and time of the mail being sent as well as a full name of each sender.

METHODS

  new <page html> <id>
Takes the page html and the message-id and parses the html.

  parse <html>
Parse the html to get message ids and next & prev offsets.

  id
Get the id of this mail

  eto
Get the eto of the next reply we need to get

  date
Get the date of this mail

  subject
The subject of the mail

  from
Get the name of the person it was from

  body
Get the body of the mail.

AUTHOR
Simon Wistow <simon@thegestalt.org>

COPYRIGHT
Copyright (c) 2004, Simon Wistow